geos::index::bintree::Key Class Reference

A Key is a unique identifier for a node in a tree. More...

`#include <Key.h>`

## Public Member Functions

| Key (Interval *newInterval)
double | getPoint ()
int | getLevel ()
Interval * | getInterval ()
void | computeKey (Interval *itemInterval)

## Static Public Member Functions

static int | computeLevel (Interval *newInterval)

## Detailed Description

A Key is a unique identifier for a node in a tree.

It contains a lower-left point and a level number. The level number is the power of two for the size of the node envelope

The documentation for this class was generated from the following file:

- bintree/Key.h